Subject: bug#30132: 27.0.50; scan-sexps and ##

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 06 May 2022 18:30:28 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I've poked at this briefly, but I've been unable to see what makes
> things hang here.  It would be nice to get this to work -- did you get
> any further in debugging these test problems, Noam?

The offending bit was this:

(seq (group-n 1 (+ digit) "="))     ; Object label.

Which is something that should never appear in Lisp files anyway.  The
rest seem unproblematic (except possible performance problems), but
after testing it for a few minutes, I don't really see anything
noticeable.

So I'm pushing Noam's patch to Emacs 29 (with that object label thing
removed).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no